<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
  
    <%@ page import="java.sql.*" %>
    <%@ page import="java.sql.Connection" %>
    <%@ page import="java.sql.DriverManager" %>
    <%@ page import="java.sql.PreparedStatement" %>
    <%@ page import="java.sql.ResultSet" %>
    
    <% request.setCharacterEncoding("utf-8"); %>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
</head>
<body>
<table border=1>
<tr>
<th>아이디</th>
<th>패스워드</th>
<th>이름</th>
</tr>
<%
ResultSet rs=null;
try{
	Class.forName("oracle.jdbc.driver.OracleDriver");  //oracle드라이버 로드
    Connection conn=DriverManager.getConnection("jdbc:oracle:thin:@168.126.146.45:1521:orcl","20162511","971204");
    PreparedStatement pstmt=conn.prepareStatement("select * from member");
    rs=pstmt.executeQuery();
    
    while(rs.next()){
    	String id=rs.getString("id");
    	String password=rs.getString("pass");
    	String name=rs.getString("name");
    	%>
    	<tr>
    	<td><%=id %></td>
    	<td><%=password %></td>
    	<td><%=name %></td>
    	</tr>
    <% }
}catch(Exception e){ 
	e.printStackTrace();
}

%>
</table>

</body>
</html>